- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Enumerations | Functions
WPS4Text.cpp File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <map>`
`#include <vector>`
`#include <libwpd/libwpd.h>`
`#include "libwps_internal.h"`
`#include "libwps_tools_win.h"`
`#include "WPSContentListener.h"`
`#include "WPSPosition.h"`
`#include "WPSParagraph.h"`
`#include "WPS4.h"`
`#include "WPS4Text.h"`

## Classes
struct | WPS4PLCInternal::KnownPLC
| a map of known plc More...
struct | WPS4TextInternal::FontName
| Internal: class to store a font name: name with encoding type. More...
struct | WPS4TextInternal::Font
| Internal: class to store font properties. More...
struct | WPS4TextInternal::Paragraph
| Internal: class to store paragraph properties. More...
struct | WPS4TextInternal::Note
| Internal: class to store an note type. More...
struct | WPS4TextInternal::Object
| Internal: class to store an object definition. More...
struct | WPS4TextInternal::DosLink
| Internal: class to store an object definition. More...
struct | WPS4TextInternal::DateTime
| Internal: class to store a date/time format. More...
struct | WPS4TextInternal::DataPLC
| Internal: class to store the PLC: Pointer List Content ? More...
struct | WPS4TextInternal::State
| Internal: the state of a WPS4Text. More...
struct | WPS4PLCInternal::PLC
| Internal and low level: the PLC different types and their structures. More...

## Namespaces
namespace | WPS4PLCInternal
| Internal and low level: the structures of a WPS4Text used to parse PLC.
namespace | WPS4TextInternal

## Enumerations
enum | WPS4TextInternal::ZoneType { WPS4TextInternal::Z_String =-1, WPS4TextInternal::Z_Header =0, WPS4TextInternal::Z_Footer =1, WPS4TextInternal::Z_Main =2, WPS4TextInternal::Z_Note, WPS4TextInternal::Z_Bookmark, WPS4TextInternal::Z_DLink, WPS4TextInternal::Z_Unknown }
| a enum used to type a zone More...
enum | WPS4TextInternal::PLCType { WPS4TextInternal::BTE =0, WPS4TextInternal::OBJECT, WPS4TextInternal::FTNp, WPS4TextInternal::FTNd, WPS4TextInternal::BKMK, WPS4TextInternal::DTTM, WPS4TextInternal::Unknown }
| different types More...

## Functions
std::ostream & | WPS4TextInternal::operator<< (std::ostream &o, FontName const &ft)
| operator<< for a font name More...
std::ostream & | WPS4TextInternal::operator<< (std::ostream &o, Font const &ft)
| operator<< for font properties More...
std::ostream & | WPS4TextInternal::operator<< (std::ostream &o, Object const &obj)
| operator<< for an object More...
std::ostream & | WPS4TextInternal::operator<< (std::ostream &o, DosLink const &dlink)
| operator<< for an object More...
std::ostream & | WPS4TextInternal::operator<< (std::ostream &o, DateTime const &dtime)
| operator<< for an object More...
std::ostream & | WPS4TextInternal::operator<< (std::ostream &o, DataPLC const &plc)
| operator<< for a dataPLC More...